-- Initial

if cha==nil then cha={value={};} end
function totable(t,match)
local cmd = {}
if not match then match = "[^%s]+" end
for word in string.gmatch(t, match) do
table.insert(cmd, word)
end 
return cmd 
end
for all=1,32 do
cha.value[all]=0
end

-- Configurations

cha.type={[100]="God Armor";} -- Add new armor type here (armor type will be showed via hud) ex: you set your absorption to 100, God Armor will be your armor

-- Functions

function cha.set(id,value)
local i,v=tonumber(id),tonumber(value)
if i~=0 then
cha.value[i]=v
parse("setarmor "..i.." 255")
if cha.type[v]~=nil then
parse('hudtxt2 '..i..' 34 "'..cha.type[v]..' - '..v..'%" 140 453')
else
parse('hudtxt2 '..i..' 34 "Unknown - '..v..'%" 140 453')
end
else
parse('hudtxt2 '..i..' 34 ""')
end
end
addhook("parse","cha.console")
addhook("hit","cha.hit")
addhook("die","cha.die")
function cha.console(txt)
	str_=totable(txt)
	str1_=string.lower(tostring(str_[1]))
	str2_=tonumber(str_[2])
	str3_=tonumber(str_[3])
	if str1_=="setarmor2" then
		if str2_<=32 and str2_>0 then
			if str3_<=100 and str3_>0 then
				cha.set(str2_,str3_)
			else error("Expected at absorption value. Allows only between 1 to 100.") end
		else error("Expected at player ID. Allows only between 1 to 32.") end
		return 2
	elseif str1_=="setarmor" then
		if str3_>0 and str3_<=206 then
			cha.set(str2_,0)
			parse('hudtxt2 '..str2_..' 34 ""')
		end
	end
end
function cha.hit(id,src,wpn,hpdmg)
	if player(id,"health")<=hpdmg then
		parse("customkill "..src.." "..itemtype(wpn,"name").." "..id)
		cha.set(id,0)
		parse('hudtxt2 '..id..' 34 ""')
	else
		parse("sethealth "..id.." "..player(id,"health")-(hpdmg*(100-cha.value[id])/100))
	end
	return 1
end
function cha.die(id)
	cha.set(id,0)
	parse('hudtxt2 '..id..' 34 ""')
end